将设为首页浏览此站
开启辅助访问 天气与日历 收藏本站联系我们切换到窄版

易陆发现论坛

 找回密码
 开始注册
查看: 152|回复: 1
收起左侧

ERROR gnocchi.cli.api: Unable to find `uwsgi'.

[复制链接]
发表于 2022-5-28 22:07:42 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?开始注册

x
2022-05-28 22:06:47,482 [59346] WARNING  oslo_config.cfg: Deprecated: Option "coordination_url" from group "storage" is deprecated. Use option "coordination_url" from group "DEFAULT".  {6 C2 o. d4 l9 R: M: [% C; v
2022-05-28 22:06:47,483 [59346] INFO     gnocchi.service: Gnocchi version 4.3.65 k* B( M; h9 k* t2 B( V- f
2022-05-28 22:06:47,495 [59346] WARNING  gnocchi.cli.api: No need to pass `--' in gnocchi-api command line anymore, please remove! l# o( \0 M" V$ k; V  P3 j( {
2022-05-28 22:06:47,496 [59346] ERROR    gnocchi.cli.api: Unable to find `uwsgi'.
! \0 z* B5 T! nBe sure it is installed and in $PATH.( f2 P. y3 B. G( a
: n9 i& \2 o5 c# G2 t9 l) C; N2 o

2 \1 R* w) x$ ~  ?2 o解决办法就是安装uwsgi插件:6 I! Z( g4 s6 r% J

' M* @8 b1 |: A3 k& _* B! q( }[root@controller src]# dnf install -y uwsgi7 w$ G5 C% n5 o- _% K
Last metadata expiration check: 2:49:33 ago on Sat 28 May 2022 07:19:24 PM CST.
1 R4 u, q4 n$ V6 W1 w  h, XDependencies resolved.
, f3 m! W( P6 d4 @; |6 H==================================================================================================7 `" q3 C6 z+ v
Package         Architecture     Version                   Repository                       Size& y' V7 n, F% v: g" n: A8 R
==================================================================================================. b3 ~9 V$ Q# W7 j! P
Installing:
- r( V0 M" {( {* r% T1 t, h uwsgi           x86_64           2.0.18-4.el8              centos-openstack-xena           385 k2 U: d* ?# m' X
Transaction Summary) I  G. W/ O# a' w. @
==================================================================================================/ o' \( l: ]/ g1 m: W2 X4 ?
Install  1 Package
4 S  c% D" j) _+ STotal download size: 385 k: Y; I( E; a( Z' `
Installed size: 887 k
9 f" b( b/ R1 ?& GDownloading Packages:8 A+ d% E- a2 a( f1 A
uwsgi-2.0.18-4.el8.x86_64.rpm                                     3.7 MB/s | 385 kB     00:00    + K1 s# a4 ^) O0 t2 t  u# z
--------------------------------------------------------------------------------------------------: o" {* ]3 n4 [& J; S6 \1 A1 W
Total                                                             294 kB/s | 385 kB     00:01     - g, o" Y- ?5 K: P
Running transaction check
+ H, y' G- ]2 `: g5 x  fTransaction check succeeded.7 [- Y, ^! u0 D2 n
Running transaction test
* e6 E# O$ U: i; h! j6 H* B# NTransaction test succeeded.
7 j4 |8 a' }3 z* g1 u2 yRunning transaction9 `+ \. c6 j; l. u" Q
  Preparing        :                                                                          1/1
6 i7 ]+ }- N: \0 V0 n* z9 N" _  Running scriptlet: uwsgi-2.0.18-4.el8.x86_64                                                1/1 + Z& n7 o$ \8 f* l  X
  Installing       : uwsgi-2.0.18-4.el8.x86_64                                                1/1 7 s, }/ \* B! A8 }5 R- d3 n/ c
  Running scriptlet: uwsgi-2.0.18-4.el8.x86_64                                                1/1
* K0 r# b9 E% C# W0 n" D& `( bExecuting systemd post-install tasks
# ^: C. o$ \( B" E2 Q+ {[/usr/lib/tmpfiles.d/rabbitmq-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rabbitmq → /run/rabbitmq; please update the tmpfiles.d/ drop-in file accordingly.% E2 w  [, g, H- M( I+ G3 W1 d
  Verifying        : uwsgi-2.0.18-4.el8.x86_64                                                1/1
9 s4 ^& i! m! r' GInstalled:
: l0 U; e, B/ E; b+ L. M8 A7 m  uwsgi-2.0.18-4.el8.x86_64                                                                       
3 N- H- Z6 W* Y- t- ~! sComplete!. B, f' ]0 b! b7 u+ n( ^, d

5 Q, g1 W6 }% Q( r/ }1 u& L" c: H/ Z
 楼主| 发表于 2022-5-28 22:11:01 | 显示全部楼层
2022-05-28 22:10:05,148 [60530] WARNING  oslo_config.cfg: Deprecated: Option "coordination_url" from group "storage" is deprecated. Use option "coordination_url" from group "DEFAULT".
& h3 [! }7 W( ?8 }0 R# a2022-05-28 22:10:05,148 [60530] INFO     gnocchi.service: Gnocchi version 4.3.6
  ]5 V5 b& G! X7 _; R/ n8 [7 E0 \# p2022-05-28 22:10:05,161 [60530] WARNING  gnocchi.cli.api: No need to pass `--' in gnocchi-api command line anymore, please remove
6 y8 @  w4 B7 N' h/ ?# b$ q! s( _+ l+ h
" ]0 D' Y4 L  n! j+ b上面的error已经不在报错:
9 g4 P6 a+ Y2 e7 g$ S
您需要登录后才可以回帖 登录 | 开始注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

如有购买积分卡请联系497906712

QQ|返回首页|Archiver|手机版|小黑屋|易陆发现 点击这里给我发消息

GMT+8, 2022-7-4 11:11 , Processed in 0.041028 second(s), 23 queries .

Powered by LR.LINUX.cloud bbs168x X3.2 Licensed

© 2012-2022 Comsenz Inc.

快速回复 返回顶部 返回列表